Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class BagBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.BagBinder

Direct Known Subclasses:
  IdBagBinder

    public class BagBinder

extends CollectionBinder

Bind a bag.

Author:
  Matthew Inger

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`BagBinder()`

Method Summary
`protected org.hibernate.mapping.Collection` | `createCollection(org.hibernate.mapping.PersistentClass persistentClass)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getSecondPass, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInsertable, setInverseJoinColumns, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyAccessorName, setPropertyHolder, setPropertyName, setSort, setSqlOrderBy, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BagBinder

    public BagBinder()

Method Detail

### createCollection

    protected org.hibernate.mapping.Collection createCollection(org.hibernate.mapping.PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD